
package de.ivu.elect.was.exchange.ergebnis;

import static java.util.Arrays.asList;

import java.util.Collection;

import de.ivu.elect.business.ergebnis.boundary.NlWasModelP222BulkExporter;
import de.ivu.elect.business.security.Customer;
import de.ivu.elect.business.stimmeingabe.entity.Ergebniseingabestatus;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;

public class NlWasModelP222ExportMapperHelper {

  private NlWasModelP222ExportMapperHelper() {
    super();
  }

  // https://support.elect-it.com/wiki/x/48g8
  public static boolean isAcceptWahlebene(Wahl wahl, Customer customer) {
    return NlWahlart.isWasCSB(wahl, customer);
  }

  // https://support.elect-it.com/wiki/x/48g8
  public static Collection<NlWahlart> collectWahlartenAccepted() {
    return asList( //
        NlWahlart.PROVINCIALE_STATEN1, //
        NlWahlart.GEMEENTERAAD //
    );
  }

  public static Collection<Ergebniseingabestatus> collectErgebniseingabestatusAccepted() {
    return NlWasModelP222BulkExporter.EXPORT_ERGEBNISEINGABESTATUS;
  }
}
